<div class="mat-elevation-z8">
  <table mat-table [dataSource]="dataSource">


    <ng-container matColumnDef="userId">
      <th mat-header-cell *matHeaderCellDef> Id </th>
      <td mat-cell *matCellDef="let element"> {{element.userId}} </td>
    </ng-container>


    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef> Correo </th>
      <td mat-cell *matCellDef="let element"> {{element.email}} </td>
    </ng-container>


    <ng-container matColumnDef="userName">
      <th mat-header-cell *matHeaderCellDef> Usuario </th>
      <td mat-cell *matCellDef="let element"> {{element.userName}} </td>
    </ng-container>


    <ng-container matColumnDef="sex">
      <th mat-header-cell *matHeaderCellDef> Sexo </th>
      <td mat-cell *matCellDef="let element"> {{element.sex | typeSexPipe}} </td>
    </ng-container>

    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef> Status </th>
      <td mat-cell *matCellDef="let element"> {{element.status | statustypePipe}} </td>
    </ng-container>

    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef> Operaciones </th>
      <td mat-cell *matCellDef="let row">
          <button mat-icon-button (click)="onEditUser(row)"><mat-icon>launch</mat-icon></button>
          <button mat-icon-button color="warn" (click)="onDesactiveUser(row)"><mat-icon>delete_outline</mat-icon></button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
</div>
